Version neutral?

Add-in Express™ Support Service
That's what is more important than anything else

Version neutral?
Why do I have PIA Components which are NOT version neutral 
Patrick Jox




Posts: 83
Joined: 2009-05-09
Hi,
I am developing a solution for a client that requires to be runnable to all office versions from XP (2002) or above.
Therefore I started with a new project, selecting ADX-Loader and Use version-neutral interop assemblies. Anyway I can find Office PIA components in the references section. Why? Further I have a reference to VSTO\PIA\Office11\Extensibility.dll. So this can't be version-neutral.

What is wrong or what do I not correctly understand.

Kind regards
Patrick
Posted 10 May, 2009 11:48:09 Top
Andrei Smolin


Add-in Express team


Posts: 16956
Joined: 2006-05-11
Hello Patrick,

When you choose Use version-neutral interop assemblies, Add-in Express copies version-neutral interops from the install folder to the OfficePIAs folder of your project and adds those interops to your project references.

Extensibility.dll doesn't depend on Office version.

Regards from Belarus (GMT+2),

Andrei Smolin
Add-in Express Team Leader
Posted 11 May, 2009 05:57:02 Top
Patrick Jox




Posts: 83
Joined: 2009-05-09
Hei Andrei,
but in VS I can use NewMailEx-Event which is available only from version 2003.

So if I do not care I will loose compatibility.

Regards
Patrick
Posted 11 May, 2009 14:15:47 Top
Andrei Smolin


Add-in Express team


Posts: 16956
Joined: 2006-05-11
Patrick,

The Outlook Events component provides all events available in Outlook 2007. Sure, you can handle NewMailEx in your add-in that supports Outlook 2000-2003. Still NewMailEx exists in Outlook 2003-2007 only and the corresponding event handler will not be invoked in Outlook 2000-2002.

Regards from Belarus (GMT+2),

Andrei Smolin
Add-in Express Team Leader
Posted 11 May, 2009 14:33:52 Top